## Apache Zeta Components Manual :: Docs For Class ezcGraphDataSetProperty

### Graph::ezcGraphDataSetProperty

### Class ezcGraphDataSetProperty

Abstract class for properties of datasets

This class is used to extends datasets with additional properties, and stores only non default values for each data point in a data set.

The class is extended by property implementations including simple value validators, like:

- ezcGraphDataSetAxisProperty
- ezcGraphDataSetBooleanProperty
- ezcGraphDataSetColorProperty
- ezcGraphDataSetIntProperty
- ezcGraphDataSetStringProperty

The color property can for example be accessed in a chart like:

1. $graph=new ezcGraphLineChart ();
2. $graph->data['example']=new ezcGraphArrayDataSet (array(
3. 'Foo'=>23,
4. 'Bar'=>42,
5. ) );
7. // Set color for all data points in this data set
8. $graph->data['example']->color='#a40000';
10. // Set different color for one special datapoint
11. $graph->data['example']->color['Foo']='#2e3436';
13. $graph->render(400,200,'test.svg');

Source for this file: /Graph/src/interfaces/dataset_property.php

### Implements interfaces:

- ArrayAccess (internal interface)

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcGraphDataSetStringProperty | Class for string properties of datasets
ezcGraphDataSetIntProperty | Class for integer properties of datasets
ezcGraphDataSetColorProperty | Class for color properties of datasets
ezcGraphDataSetAxisProperty | Class for axis properties of datasets
ezcGraphDataSetBooleanProperty | Class for boolean properties of datasets

### Member Variables

protected ezcGraphDataSet | `$dataset` Contains a reference to the dataset to check for availability of data keys
protected array | `$dataValue` Contains specified values for single dataset elements
protected mixed | `$defaultValue` Default value for this property

### Method Summary

protected abstract void | `checkValue( &$value , $value )` Abstract method to contain the check for validity of the value
public bool | `offsetExists( $key )` Returns if an option exists.
public mixed | `offsetGet( $key )` Returns an option value.
public void | `offsetSet( $key , $value )` Set an option.
public void | `offsetUnset( $key )` Unset an option.
public mixed | `__get( $name )` Get the default value for this property
public void | `__set( $name , $value )` Set the default value for this property

### Methods

#### checkValue

void checkValue( &$value , mixed $value )

Abstract method to contain the check for validity of the value

##### Parameters:

Name | Type | Description
--- | --- | ---
`$value` | mixed |
`&$value` |  |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcGraphDataSetStringProperty::checkValue()` | Converts value to an ezcGraphColor object
`ezcGraphDataSetIntProperty::checkValue()` | Converts value to an ezcGraphColor object
`ezcGraphDataSetColorProperty::checkValue()` | Converts value to an ezcGraphColor object
`ezcGraphDataSetAxisProperty::checkValue()` | Chacks if value is really an axis
`ezcGraphDataSetBooleanProperty::checkValue()` | Converts value to an ezcGraphColor object

#### offsetExists

bool offsetExists( string $key )

Returns if an option exists.

Allows isset() using ArrayAccess.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$key` | string | The name of the option to get.

##### Implementation of:

Method | Description
--- | ---
`ArrayAccess::offsetExists` |

#### offsetGet

mixed offsetGet( string $key )

Returns an option value.

Get an option value by ArrayAccess.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$key` | string | The name of the option to get.

##### Exceptions:

Type | Description
--- | ---
`ezcBasePropertyNotFoundException` | If a the value for the property options is not an instance of

##### Implementation of:

Method | Description
--- | ---
`ArrayAccess::offsetGet` |

#### offsetSet

void offsetSet( string $key , mixed $value )

Set an option.

Sets an option using ArrayAccess.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$key` | string | The option to set.
`$value` | mixed | The value for the option.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If a the value for a property is out of range.
`ezcBasePropertyNotFoundException` | If a the value for the property options is not an instance of

##### Implementation of:

Method | Description
--- | ---
`ArrayAccess::offsetSet` |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcGraphDataSetAxisProperty::offsetSet()` | Set an option.

#### offsetUnset

void offsetUnset( string $key )

Unset an option.

Unsets an option using ArrayAccess.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$key` | string | The options to unset.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If a the value for a property is out of range.
`ezcBasePropertyNotFoundException` | If a the value for the property options is not an instance of

##### Implementation of:

Method | Description
--- | ---
`ArrayAccess::offsetUnset` |

#### __get

mixed __get( string $name )

Get the default value for this property

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string | Property name

#### __set

void __set( string $name , mixed $value )

Set the default value for this property

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string | Property name
`$value` | mixed | Property value

Documentation generated by phpDocumentor 1.4.3